Debian Bug report logs - #538171
ITP: makefs -- create a file system image from a directory tree

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Thu, 23 Jul 2009 18:54:01 UTC

Owned by: Thorsten Glaser <tg@mirbsd.de>

Severity: wishlist

Fixed in version makefs/20090808-1

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tg@mirbsd.de, debian-devel@lists.debian.org, slackydeb@gmail.com, soc-coordination@lists.alioth.debian.org, debian-boot@lists.debian.org, debian-bsd@lists.debian.org, <wnpp@debian.org>:
Bug#538171; Package wnpp. (Thu, 23 Jul 2009 18:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to tg@mirbsd.de, debian-devel@lists.debian.org, slackydeb@gmail.com, soc-coordination@lists.alioth.debian.org, debian-boot@lists.debian.org, debian-bsd@lists.debian.org, <wnpp@debian.org>. (Thu, 23 Jul 2009 18:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: makefs -- create a file system image from a directory tree
Date: Thu, 23 Jul 2009 18:50:00 +0000
Package: wnpp
Severity: wishlist
Owner: Thorsten Glaser <tg@mirbsd.de>

* Package name    : makefs
  Version         : 20090724
  Upstream Author : The MirOS Project <miros-discuss@mirbsd.org>
* URL             : http://www.mirbsd.org/cvs.cgi/src/usr.sbin/makefs/
* License         : 4-clause BSD
  Programming Lang: C
  Description     : create a file system image from a directory tree


NetBSD® makefs(8) creates a file system image from a directory tree
without the need for superuser privileges. The MirBSD version fixes
ECMA 119, SUSP and RRIP (Rock Ridge) compliance.

Supported target filesystem types are:
   cd9660   ISO 9660 (ECMA 119) compatible filesystem images, with
            Rock Ridge, El Torito, and other features
   ffs      4.2FFS, the BSD Fast Filesystem, also known as UFS1;
            support for UFS2 is currently untested

The images created can be of a fixed (predefined) size, given on the
command line, or sized automatically. Permission bits are taken from
the source directory tree but may be overridden using an mtree file.


This package is created to aid Luca Favatella in porting d-i to
Debian GNU/kFreeBSD. It also serves purpose as a genisoimage re-
placement, if people should then so wish. (Which is why the MirBSD
version was ported, as it conforms to ECMA 119, RRIP, SUSP and the
El Torito standard, which the NetBSD® version doesn’t.)

I fully intend to maintain this package in MirBSD (“upstream”) as
well as Debian (in my capacity as DM); I also try to coordinate
pushing all patches to the “up-upstream” (NetBSD®).




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#538171; Package wnpp. (Thu, 23 Jul 2009 20:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 23 Jul 2009 20:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 538171@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 538171@bugs.debian.org
Subject: Re: Bug#538171: ITP: makefs -- create a file system image from a directory tree
Date: Thu, 23 Jul 2009 20:14:54 +0000 (UTC)
Dixi quod…

>  Description     : create a file system image from a directory tree


First package, tested on sid of today (linux-i386), is available
at: http://www.freewrt.org/~tg/debs/dists/sid/wtf/pkgs/makefs/

Read http://www.NetBSD.org/cgi-bin/query-pr-single.pl?number=33925
for a long-standing bug in the ffs code, though (you’ll probably
have to use the -s option – in MirBSD, we use makefs(8) with it for
floppies, and all other uses are cd9660 which works superb).

I also manually rsync’d the AnonCVS and CVSweb mirror, so feel free
to poke in it (both for the package and for makefs itself).

Online manual page: http://www.mirbsd.org/man8/makefs

Aurelien Jarno will be looking into it (tomorrow, probably), but
more eyes never hurt. Luca Favatella will be testing it with his
d-i work on kfreebsd-* soonish.

bye,
//mirabilos
-- 
I believe no one can invent an algorithm. One just happens to hit upon it
when God enlightens him. Or only God invents algorithms, we merely copy them.
If you don't believe in God, just consider God as Nature if you won't deny
existence.		-- Coywolf Qi Hunt




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Thorsten Glaser <tg@mirbsd.de>:
Bug#538171; Package wnpp. (Fri, 24 Jul 2009 06:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron Johnson <ron.l.johnson@cox.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Thorsten Glaser <tg@mirbsd.de>. (Fri, 24 Jul 2009 06:54:06 GMT) Full text and rfc822 format available.

Message #15 received at 538171@bugs.debian.org (full text, mbox):

From: Ron Johnson <ron.l.johnson@cox.net>
To: Thorsten Glaser <tg@mirbsd.de>, 538171@bugs.debian.org
Subject: Re: Bug#538171: ITP: makefs -- create a file system image from a directory tree
Date: Fri, 24 Jul 2009 01:36:24 -0500
On 2009-07-23 13:50, Thorsten Glaser wrote:
[snip]
>   Description     : create a file system image from a directory tree
> 
> 
> NetBSD® makefs(8) creates a file system image from a directory tree
> without the need for superuser privileges. The MirBSD version fixes
> ECMA 119, SUSP and RRIP (Rock Ridge) compliance.
> 
> Supported target filesystem types are:
>    cd9660   ISO 9660 (ECMA 119) compatible filesystem images, with
>             Rock Ridge, El Torito, and other features
>    ffs      4.2FFS, the BSD Fast Filesystem, also known as UFS1;
>             support for UFS2 is currently untested
[snip]
> Debian GNU/kFreeBSD. It also serves purpose as a genisoimage re-
> placement, if people should then so wish. (Which is why the MirBSD
> version was ported, as it conforms to ECMA 119, RRIP, SUSP and the
> El Torito standard, which the NetBSD® version doesn’t.)


Does this imply "make a bootable CD image"?

-- 
Scooty Puff, Sr
The Doom-Bringer




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#538171; Package wnpp. (Fri, 24 Jul 2009 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 24 Jul 2009 11:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 538171@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Ron Johnson <ron.l.johnson@cox.net>, 538171@bugs.debian.org
Subject: Re: Bug#538171: ITP: makefs -- create a file system image from a directory tree
Date: Fri, 24 Jul 2009 11:31:58 +0000 (UTC)
Ron Johnson dixit:

> Does this imply "make a bootable CD image"?

Yes, both NetBSD® and MirBSD use it for this purpose.

//mirabilos
-- 
“It is inappropriate to require that a time represented as
 seconds since the Epoch precisely represent the number of
 seconds between the referenced time and the Epoch.”
	-- IEEE Std 1003.1b-1993 (POSIX) Section B.2.2.2




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 09 Aug 2009 08:06:03 GMT) Full text and rfc822 format available.

Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Wed, 26 Aug 2009 22:36:10 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Wed, 26 Aug 2009 22:36:10 GMT) Full text and rfc822 format available.

Message #27 received at 538171-close@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 538171-close@bugs.debian.org
Subject: Bug#538171: fixed in makefs 20090808-1
Date: Wed, 26 Aug 2009 21:58:49 +0000
Source: makefs
Source-Version: 20090808-1

We believe that the bug you reported is fixed in the latest version of
makefs, which is due to be installed in the Debian FTP archive:

makefs_20090808-1.diff.gz
  to pool/main/m/makefs/makefs_20090808-1.diff.gz
makefs_20090808-1.dsc
  to pool/main/m/makefs/makefs_20090808-1.dsc
makefs_20090808-1_amd64.deb
  to pool/main/m/makefs/makefs_20090808-1_amd64.deb
makefs_20090808.orig.tar.gz
  to pool/main/m/makefs/makefs_20090808.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 538171@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thorsten Glaser <tg@mirbsd.de> (supplier of updated makefs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Aug 2009 13:46:39 +0000
Source: makefs
Binary: makefs
Architecture: source amd64
Version: 20090808-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Thorsten Glaser <tg@mirbsd.de>
Description: 
 makefs     - create a cd9660 or ffs file system image from a directory tree
Closes: 538171
Changes: 
 makefs (20090808-1) unstable; urgency=low
 .
   * Initial release (Closes: #538171)
Checksums-Sha1: 
 900d133296db6b45593508b642483904e1e2dd5a 1177 makefs_20090808-1.dsc
 4f64ead31fa72326d6bb465bc7dda487831a741c 318495 makefs_20090808.orig.tar.gz
 1b89da62815b9ae31fe93c21e265464d1f1f9e3c 3908 makefs_20090808-1.diff.gz
 992e3509c34af5bd331206d7c77eb48a7ea8b41d 68900 makefs_20090808-1_amd64.deb
Checksums-Sha256: 
 80ee01f3366facabc93e0c6b13deaff64123934638068fbea0a55831430a1f00 1177 makefs_20090808-1.dsc
 128e3d3482c5594ae6f0070cca15e3161073cd51024d2a8614389f02a230801c 318495 makefs_20090808.orig.tar.gz
 ed04fa20f02dc411af4c45b34ef5216cdabf1f211f53c87bfd9de8e29fdb4930 3908 makefs_20090808-1.diff.gz
 b54cc4606a360a484d64ddae8587c2850c62cadfc6d4212102bad35ac0bf5e55 68900 makefs_20090808-1_amd64.deb
Files: 
 f64e64fd3b962010aa381e44f6079096 1177 otherosfs optional makefs_20090808-1.dsc
 b61bebcfd1d36412584b6f752c3cbaf8 318495 otherosfs optional makefs_20090808.orig.tar.gz
 6f5abc6dfe4ba16ddbf69d6ff7e0cce3 3908 otherosfs optional makefs_20090808-1.diff.gz
 417047637572a353506de990dce6c822 68900 otherosfs optional makefs_20090808-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKfgG/w3ao2vG823MRAl7JAJ9Ke2xBwLy7RPrVYbG4UH7BMY6CRwCfcDz+
bqKtvaVMukbAtnynQ5c2eDU=
=cVtV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Sep 2009 07:45:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:12:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.